com.fasterxml.jackson.core

## Interface FormatFeature

    public interface FormatFeature

Marker interface that is to be implemented by data format - specific features. Interface used since Java Enums can not extend classes or other Enums, but they can implement interfaces; and as such we may be able to use limited amount of generic functionality.

Note that this type is only implemented by non-JSON formats: types `JsonParser.Feature` and `JsonGenerator.Feature` do NOT implement it. This is to make it easier to avoid ambiguity with method calls.

Since:
  2.6 (to be fully used in 2.7 and beyond)

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `enabledByDefault()` Accessor for checking whether this feature is enabled by default.
`boolean` `enabledIn(int flags)` Convenience method for checking whether feature is enabled in given bitmask
`int` `getMask()` Returns bit mask for this feature instance; must be a single bit, that is of form `(1 << N)`

### Method Detail

#### enabledByDefault

    boolean enabledByDefault()

Accessor for checking whether this feature is enabled by default.

#### getMask

    int getMask()

Returns bit mask for this feature instance; must be a single bit, that is of form `(1 << N)`

#### enabledIn

    boolean enabledIn(int flags)

Convenience method for checking whether feature is enabled in given bitmask